Bug 135328 - ehci-hcd fails to init
ehci-hcd fails to init
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-11 18:55 EDT by Allen Akin
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-20 15:56:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Candidate #1 (572 bytes, patch)
2004-11-02 15:06 EST, Pete Zaitcev
no flags Details | Diff

  None (edit)
Description Allen Akin 2004-10-11 18:55:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.0.2)
Gecko/20021120 Netscape/7.01

Description of problem:
(Opening a new bug per Ernie's request, rather than adding more to
125975 which has already been marked "closed".)


ehci-hcd fails to init on my system, as shown here (the same behavior
also occurs at boot time):

4# modprobe ehci-hcd
/lib/modules/2.4.21-20.EL/kernel/drivers/usb/host/ehci-hcd.o:
init_module: No such device
Hint: insmod errors can be caused by incorrect module parameters,
including invalid IO or IRQ parameters.
      You may find more information in syslog or the output from dmesg
/lib/modules/2.4.21-20.EL/kernel/drivers/usb/host/ehci-hcd.o: insmod
/lib/modules/2.4.21-20.EL/kernel/drivers/usb/host/ehci-hcd.o failed
/lib/modules/2.4.21-20.EL/kernel/drivers/usb/host/ehci-hcd.o: insmod
ehci-hcd failed
5#


Relevant portions of /var/log/messages are as follows:

Oct 11 12:18:58 tuolumne kernel: PCI: Found IRQ 11 for device 00:1d.7
Oct 11 12:18:58 tuolumne kernel: PCI: Sharing IRQ 11 with 03:0b.0
Oct 11 12:18:58 tuolumne kernel: ehci-hcd 00:1d.7: Intel Corp. 82801EB
USB2
Oct 11 12:18:58 tuolumne kernel: ehci-hcd 00:1d.7: irq 11, pci mem
fa053c00
Oct 11 12:18:58 tuolumne kernel: usb.c: new USB bus registered,
assigned bus number 5
Oct 11 12:18:59 tuolumne kernel: ehci-hcd 00:1d.7: BIOS handoff failed
(104, 1010001)
Oct 11 12:18:59 tuolumne kernel: ehci-hcd 00:1d.7: remove state 0
Oct 11 12:18:59 tuolumne kernel: usb.c: USB bus 5 deregistered


And lspci is as follows:

6# lspci
00:00.0 Host bridge: Intel Corp. 82875P Memory Controller Hub (rev 02)
00:01.0 PCI bridge: Intel Corp. 82875P Processor to AGP Controller
(rev 02)
00:03.0 PCI bridge: Intel Corp. 82875P Processor to PCI to CSA Bridge
(rev 02)
00:1d.0 USB Controller: Intel Corp. 82801EB/ER (ICH5/ICH5R) USB UHCI
#1 (rev 02)
00:1d.1 USB Controller: Intel Corp. 82801EB/ER (ICH5/ICH5R) USB UHCI
#2 (rev 02)
00:1d.2 USB Controller: Intel Corp. 82801EB/ER (ICH5/ICH5R) USB UHCI
#3 (rev 02)
00:1d.3 USB Controller: Intel Corp. 82801EB/ER (ICH5/ICH5R) USB UHCI
#4 (rev 02)
00:1d.7 USB Controller: Intel Corp. 82801EB/ER (ICH5/ICH5R) USB2 EHCI
Controller (rev 02)
00:1e.0 PCI bridge: Intel Corp. 82801BA/CA/DB/EB/ER Hub interface to
PCI Bridge (rev c2)
00:1f.0 ISA bridge: Intel Corp. 82801EB/ER (ICH5/ICH5R) LPC Bridge
(rev 02)
00:1f.1 IDE interface: Intel Corp. 82801EB/ER (ICH5/ICH5R) Ultra ATA
100 Storage Controller (rev 02)
00:1f.3 SMBus: Intel Corp. 82801EB/ER (ICH5/ICH5R) SMBus Controller
(rev 02)
01:00.0 VGA compatible controller: nVidia Corporation NV25 [GeForce4
Ti 4200] (rev a3)
02:01.0 Ethernet controller: Intel Corp. 82547EI Gigabit Ethernet
Controller (LOM)
03:03.0 FireWire (IEEE 1394): VIA Technologies, Inc. IEEE 1394 Host
Controller (rev 80)
03:0a.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1
(rev 07)
03:0a.1 Input device controller: Creative Labs SB Live! MIDI/Game Port
(rev 07)
03:0b.0 Ethernet controller: 3Com Corporation 3c905 100BaseTX [Boomerang]
03:0c.0 SCSI storage controller: Adaptec AHA-7850 (rev 01)
03:0d.0 SCSI storage controller: Adaptec AIC-7892A U160/m (rev 02)
7#


This behavior is new in 2.4.21-20.EL.

Allen

Version-Release number of selected component (if applicable):
kernel-2.4.21-20.EL

How reproducible:
Always

Steps to Reproduce:
1.  modprobe ehci-hcd

Actual Results:  See above.

Expected Results:  See above.

Additional info:

This is on an Asus P4C800-E Deluxe motherboard.
Comment 2 Pete Zaitcev 2004-11-02 15:06:34 EST
Created attachment 106090 [details]
Candidate #1
Comment 3 Ernie Petrides 2004-11-10 21:26:45 EST
A fix for this problem has just been committed to the RHEL3 U4
patch pool this evening (in kernel version 2.4.21-24.EL).
Comment 4 John Flanagan 2004-12-20 15:56:46 EST
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-550.html

Note You need to log in before you can comment on or make changes to this bug.